%define debug_package	%{nil}

Name:		poppler-sharp
Version:	0.0.3
Release:	%mkrel 18
Summary:	C sharp Bindings for Poppler
Group:		Development/Other
License:	GPLv2+
URL:		https://www.github.com/jacintos/poppler-sharp
Source0:	https://github.com/downloads/jacintos/%{name}/%{name}-%{version}.tar.gz
Patch0:		dont_use_pkglibdir
Patch1:		force_4.5_framework_checks 
BuildRequires:	pkgconfig(mono)
BuildRequires:	gtk-sharp2
BuildRequires:	pkgconfig(gapi-2.0)
BuildRequires:	pkgconfig(poppler-glib)
Requires:	poppler

%description
Generates managed bindings for Poppler using the GAPI tools.


%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Development package for %{name}.

%prep
%setup -q
%autopatch -p1
autoreconf -fi

%build
%configure
%make_build

%install
%make_install

%files
%doc COPYING
%{_libdir}/%{name}/%{name}.dll*

%files devel
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.0.3-18.mga10
+ Revision: 2213477
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 0.0.3-17.mga9
+ Revision: 1838821
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 0.0.3-16.mga8
+ Revision: 1629218
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 0.0.3-15.mga8
+ Revision: 1629049
- rebuild for new mono

* Fri Feb 14 2020 umeabot <umeabot> 0.0.3-14.mga8
+ Revision: 1516131
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.0.3-13.mga7
+ Revision: 1300344
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.0.3-12.mga6
+ Revision: 1046196
- test rebuild for poppler

* Thu Mar 03 2016 pterjan <pterjan> 0.0.3-11.mga6
+ Revision: 985246
- Use autoreconf
- Steal patches from Debian
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 05 2015 neoclust <neoclust> 0.0.3-9.mga6
+ Revision: 908422
- Rebuild for ARM

* Thu Dec 03 2015 tv <tv> 0.0.3-8.mga6
+ Revision: 907915
- fix finding mono4 compiler

* Sun Oct 25 2015 daviddavid <daviddavid> 0.0.3-7.mga6
+ Revision: 895429
- disable debug package

* Wed Oct 15 2014 umeabot <umeabot> 0.0.3-6.mga5
+ Revision: 750189
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.3-5.mga5
+ Revision: 687722
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.3-4.mga4
+ Revision: 517614
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.3-3.mga3
+ Revision: 378063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 fwang <fwang> 0.0.3-2.mga3
+ Revision: 267849
- it is not a noarch package

* Thu Jun 28 2012 malo <malo> 0.0.3-1.mga3
+ Revision: 264727
- missing BuildRequires to gtk-sharp2
- spec clean-up after import from Fedora (patch by Ezim)
- import from Fedora candidate package by Ismael Olea and Claudio Rodrigo Pereyra Diaz


* Mon Aug 29 2011 Claudio Rodrigo Pereyra Diaz <claudiorodrigo@pereyradiaz.com.ar> 0.0.2-2
- Fix libpoppler-glib missing

* Fri Aug 26 2011 Claudio Rodrigo Pereyra Diaz <claudiorodrigo@pereyradiaz.com.ar> 0.0.2-1
- Update to upstream version

* Thu Mar 22 2011 Claudio Rodrigo Pereyra Diaz <claudiorodrigo@pereyradiaz.com.ar> 0.0.1-3
- Translate spec summary and description to spanish
- Add poppler-glib-devel dependency

* Wed Oct 04 2010 Claudio Rodrigo Pereyra Diaz <claudiorodrigo@pereyradiaz.com.ar> 0.0.1-2
- Patch .pc package for work correctly on x86_64
- Correct license according to http://github.com/jacintos/poppler-sharp

* Wed Jul 07 2010 Claudio Rodrigo Pereyra Diaz <claudiorodrigo@pereyradiaz.com.ar> 0.0.1-1
- Initial packaging
